Class | TkRadioButton
In: | tk/lib/tk/radiobutton.rb
Parent: | TkButton

### Methods

deselect get_value select set_value

### Constants

TkCommandNames | = | ['radiobutton'.freeze].freeze
WidgetClassName | = | 'Radiobutton'.freeze

### Public Instance methods

deselect()

[Source]

    # File tk/lib/tk/radiobutton.rb, line 38
      def deselect
        tk_send_without_enc('deselect')
        self
      end

get_value()

[Source]

    # File tk/lib/tk/radiobutton.rb, line 47
      def get_value
        var = tk_send_without_enc('cget', '-variable')
        if TkVariable::USE_TCLs_SET_VARIABLE_FUNCTIONS
          _fromUTF8(INTERP._get_global_var(var))
        else
          INTERP._eval(Kernel.format('global %s; set %s', var, var))
        end
      end

select()

[Source]

    # File tk/lib/tk/radiobutton.rb, line 42
      def select
        tk_send_without_enc('select')
        self
      end

set_value(val)

[Source]

    # File tk/lib/tk/radiobutton.rb, line 56
      def set_value(val)
        var = tk_send_without_enc('cget', '-variable')
        if TkVariable::USE_TCLs_SET_VARIABLE_FUNCTIONS
          _fromUTF8(INTERP._set_global_var(var, _get_eval_string(val, true)))
        else
          s = '"' + _get_eval_string(val).gsub(/[\[\]$"\\]/, '\\\\\&') + '"'
          INTERP._eval(Kernel.format('global %s; set %s %s', var, var, s))
        end
      end

[Validate]